Page MenuHomePhabricator

Fix unit tester
AbandonedPublic

Authored by Hackintosh5 on Feb 28 2019, 3:47 PM.

Details

Summary

Fix swapped bits (typo), check tasks ran, dont skip tasks on error

Test Plan

Break stuff and see if tests pass or not

Diff Detail

Repository
rIOS iOS Client
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 636
Build 636: arc lint + arc unit

Event Timeline

Hackintosh5 created this revision.Feb 28 2019, 3:47 PM
Harbormaster completed remote builds in B588: Diff 797.
Harbormaster completed remote builds in B588: Diff 797.

Note that task.state.executed does not check if the task ran, but if the task ran or was already up to date. That means that if a dependency failed, it will return false.

Info-Screen accepted this revision.Mar 10 2019, 6:02 PM
This revision is now accepted and ready to land.Mar 10 2019, 6:02 PM
CLOVIS commandeered this revision.Apr 19 2019, 2:21 AM
CLOVIS abandoned this revision.
CLOVIS edited reviewers, added: Hackintosh5; removed: CLOVIS.

This is not needed anymore

SweatyMushroomz added a subscriber: SweatyMushroomz.
  • New iosclient with code
  • New iosclient with code
  • New iosclient with code
  • Removed private files
  • Fixed errors
Info-Screen added 1 blocking reviewer(s): Info-Screen.Apr 22 2019, 11:52 PM
WyldBot requested changes to this revision.Apr 23 2019, 12:03 AM

Diff was pushed to the wrong diff, reset diff to last diff

This revision now requires changes to proceed.Apr 23 2019, 12:03 AM
Hackintosh5 commandeered this revision.Apr 23 2019, 9:56 AM
Hackintosh5 abandoned this revision.
Hackintosh5 edited reviewers, added: CLOVIS; removed: Hackintosh5.